Subject: Re: [BUG] A part of an edge from an octopus merge gets colored, even with --color=never

From: Johannes Sixt <[email-masked]>
Date: Tue, 17 May 2016 21:07:33 +0200

Am 15.05.2016 um 15:05 schrieb Noam Postavsky:
> With a certain topology involving an octopus merge, git log --graph
> --oneline --all --color=never produces output which includes some ANSI
> escape code coloring. Attached is a script to reproduce the problem
> (creates a git repository in subdir log-format-test), along with
> sample graph and valgrind output (indicates some unitialialized memory
> access).
>
> I've observed the problem with Windows git versions 2.7.0, 2.5.3.
> I've NOT observed it with 1.9.5,
>
> On GNU/Linux the symptom only appears when running with valgrind, I
> tried versions
> 2.8.0, and 2.8.2.402.gedec370 (the last is where the valgrind output comes from)
>

Sorry, I can't reproduce your observation. I ran the script you provided 
with HOME=$PWD and a minimal .gitconfig that only sets user.email. But 
valgrind is happy with both 2.8.0 and v2.8.2-402-gedec370 on my Linux box.

-- Hannes